%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Tcp Write
%
% This function connects to the NIC via Tcp/ip and sends a marker
%
% Input:
% velue    : data to be sent to the socket
% socket       : tcp socket created by tcpconnect
%
%
% Author: Guillem Mitj?
% Company: Neuroelectrics
% Created: 05 July 2016
% Known issues: None
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function RAMReplayTCPWrite(value, socket)

	% Initial parameters
	
    import java.net.Socket
	import java.io.*
	import java.nio.*
    
   out   = socket.getOutputStream;
   d_output_stream = DataOutputStream(out);

   d_output_stream.writeBytes(char(['<trigger>',num2str(value),'</trigger>']));
   d_output_stream.flush;
    
    disp('Done.')

end